package com.xinyingpower.testcomm;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.os.Handler;
import android.view.View;
import android.widget.TextView;

import com.xinyingpower.testcomm.databinding.ActivityMainBinding;

public class MainActivity extends AppCompatActivity {

    // Used to load the 'testcomm' library on application startup.
    static {
        System.loadLibrary("testcomm");
    }

    private ActivityMainBinding binding;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        binding = ActivityMainBinding.inflate(getLayoutInflater());
        setContentView(binding.getRoot());

        // Example of a call to a native method
        TextView tv = binding.sampleText;
        // tv.setText(stringFromJNI());

        binding.btnSpi.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                String str = testSpi(0);
                binding.sampleText.setText(str);
            }
        });

        Handler handler = new Handler();
        Runnable runnable = new Runnable() {
            @Override
            public void run() {
                binding.btnSpi.performClick();
            }
        };
        handler.postDelayed(runnable, 1000);
    }



    /**
     * A native method that is implemented by the 'testcomm' native library,
     * which is packaged with this application.
     */
    public native String stringFromJNI();

    public native String testSpi(int port);
}